org.hibernate.validator.internal.metadata.descriptor

## Class CrossParameterDescriptorImpl

- java.lang.Object
- - org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl
  - - org.hibernate.validator.internal.metadata.descriptor.CrossParameterDescriptorImpl

- All Implemented Interfaces:
    Serializable, CrossParameterDescriptor, ElementDescriptor

      public class CrossParameterDescriptorImpl
      extends ElementDescriptorImpl
      implements CrossParameterDescriptor

  Describes cross-parameters.
  Author:
    Gunnar Morling
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.metadata.ElementDescriptor

      `ElementDescriptor.ConstraintFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossParameterDescriptorImpl(Set<ConstraintDescriptorImpl<?>> constraintDescriptors, boolean defaultGroupSequenceRedefined, List<Class<?>> defaultGroupSequence)`

  - ### Method Summary

    - ### Methods inherited from class org.hibernate.validator.internal.metadata.descriptor.ElementDescriptorImpl

      `findConstraints, getConstraintDescriptors, getElementClass, hasConstraints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.validation.metadata.CrossParameterDescriptor

      `getElementClass`

    - ### Methods inherited from interface javax.validation.metadata.ElementDescriptor

      `findConstraints, getConstraintDescriptors, hasConstraints`

- - ### Constructor Detail

    - #### CrossParameterDescriptorImpl

          public CrossParameterDescriptorImpl(Set<ConstraintDescriptorImpl<?>> constraintDescriptors,
                                      boolean defaultGroupSequenceRedefined,
                                      List<Class<?>> defaultGroupSequence)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved